package com.xilinx.sdk.terminal;

import org.eclipse.swt.widgets.Display;

/**
 * @author ravimish
 * 
 */
public class SerialPortListener implements IListener {

	SDKTerminalView termView;

	public SerialPortListener(SDKTerminalView termView, Object obj) {
		this.termView = termView;
	}

	public void event(String data) {
		final String TempString = new String(data);
		Display.getDefault().asyncExec(new Runnable() {
			@Override
			public void run() {
				try {
					termView.reportActivity(TempString);
				} catch (Exception e) {
				}
			}
		});
	}

	@Override
	public void message(byte[] s) {
		event(new String(s));

	}

	@Override
	public void dispose() {

	}

}

// XSIP watermark, do not delete 67d7842dbbe25473c3c32b93c0da8047785f30d78e8a024de1b57352245f9689
